<div>
  <%= link_to "Add New Staff", new_staff_user_path, class: "btn", style: "float: right;"%> 
  <h4>Users List</h4>
</div>
<% if @users.present? %>
  <table class="striped">
    <tr>
      <th>Name</th>
      <th>Phone No</th>
      <th>Role</th>
      <th>Email</th>
      <th></th>
    </tr>
    <tbody>
      <% @users.each do |user| %>
        <tr>
          <td><%= link_to user.name, staff_user_path(user) %></td>
          <td><%= user.phone_no %></td>
          <td><%= user.role %></td>
          <td><%= user.email %></td>
          <% if user.role == "user" || user.role == nil %>
            <td><%= link_to staff_user_path(user), method: :delete, data: { confirm: "You sure?"  } do %>Delete<% end %>
            </td>
          <% end %>
        </tr>
      <% end %>
    </tbody>
  </table>
  <%= will_paginate @users %>
  <% else %>
    <div style="text-align: center; background-color: #eee; padding-top: 15px;">
      Sorry you don't have any users
      <br />
      <br />
    </div>
<% end %>
